View Issue Details

IDProjectCategoryView StatusLast Update
0005016SymmetricDSBugpublic2021-06-10 17:37
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.11.13 
Target Version3.11.14Fixed in Version3.11.14 
Summary0005016: SQL Server: make extract_request, table_reload_status, table_reload_request, and trigger_hist row level locking
DescriptionBecause of deadlocks in SQL Server with the table extract_request, table_reload_status, table_reload_request, and trigger_hist (because of multiple threads working on these tables at the same time and they are generally page level locking and can escalate to table locking), we need to set up these SymmetricDS tables to be row level locking.
Additional InformationThis will be merged into 3.12 and 3.13 as well
Tagsdialect: sql-server, initial/partial load, sync-trigger

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 ac172f89

2021-06-03 15:58:46

pmarzullo

Details Diff
0005016: SQL Server: make extract_request, table_reload_status,
table_reload_request, and trigger_hist row level locking
Affected Issues
0005016
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File

SymmetricDS: 3.12 ed766e90

2021-06-03 15:58:46

pmarzullo

Details Diff
0005016: SQL Server: make extract_request, table_reload_status,
table_reload_request, and trigger_hist row level locking
Affected Issues
0005016
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File

SymmetricDS: 3.13 efd08471

2021-06-03 15:58:46

pmarzullo

Details Diff
0005016: SQL Server: make extract_request, table_reload_status,
table_reload_request, and trigger_hist row level locking
Affected Issues
0005016
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File

Issue History

Date Modified Username Field Change
2021-06-03 15:39 pmarzullo New Issue
2021-06-03 15:39 pmarzullo Status new => assigned
2021-06-03 15:39 pmarzullo Assigned To => pmarzullo
2021-06-03 15:39 pmarzullo Tag Attached: dialect: sql-server
2021-06-03 15:39 pmarzullo Tag Attached: initial/partial load
2021-06-03 15:39 pmarzullo Tag Attached: sync-trigger
2021-06-03 16:00 pmarzullo Changeset attached => SymmetricDS 3.11 ac172f89
2021-06-03 17:00 pmarzullo Changeset attached => SymmetricDS 3.12 ed766e90
2021-06-09 00:00 pmarzullo Changeset attached => SymmetricDS 3.13 efd08471
2021-06-10 17:37 pmarzullo Status assigned => resolved
2021-06-10 17:37 pmarzullo Resolution open => fixed
2021-06-10 17:37 pmarzullo Fixed in Version => 3.11.14